%define major       8
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %name -d

Summary:	The Open Dynamics Engine
Name:		ode
Epoch:		1
Version:	0.16.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.ode.org/
Source0:	https://bitbucket.org/odedevs/ode/downloads/%{name}-%{version}.tar.gz

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
-by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%package -n	%{libname}
Summary:	Physics simulation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n	%{develname}
Summary:	Headers and libraries to develop ODE applications
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n	%{develname}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-trimesh=opcode \
	--with-drawstuff=X11 \
	--enable-new-trimesh \
	--disable-demos \
	--enable-shared

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libode.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.txt README.md
%dir %{_includedir}/%{name}
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue May 07 2024 daviddavid <daviddavid> 1:0.16.5-1.mga10
+ Revision: 2062758
- new version: 0.16.5

* Thu Sep 21 2023 daviddavid <daviddavid> 1:0.16.4-1.mga10
+ Revision: 1989000
- new version: 0.16.4

* Tue Mar 15 2022 umeabot <umeabot> 1:0.16.2-2.mga9
+ Revision: 1792918
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 1:0.16.2-1.mga8
+ Revision: 1637065
- Version 0.16.2

* Sat Feb 15 2020 umeabot <umeabot> 1:0.16-2.mga8
+ Revision: 1524230
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 27 2019 daviddavid <daviddavid> 1:0.16-1.mga7
+ Revision: 1380493
- new version: 0.16
- now libmajor is 8
- disable static libraries and drop .la files

* Sun Sep 23 2018 umeabot <umeabot> 1:0.15.2-2.mga7
+ Revision: 1299958
- Mageia 7 Mass Rebuild

* Thu May 25 2017 akien <akien> 1:0.15.2-1.mga6
+ Revision: 1104591
- Version 0.15.2

* Sat Nov 12 2016 akien <akien> 1:0.14-1.mga6
+ Revision: 1066875
- Version 0.14
- Major 6

* Tue Feb 09 2016 umeabot <umeabot> 1:0.13.1-2.mga6
+ Revision: 951386
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 akien <akien> 1:0.13.1-1.mga5
+ Revision: 805378
- Version 0.13.1

* Wed Oct 15 2014 umeabot <umeabot> 1:0.12-4.mga5
+ Revision: 739075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.12-3.mga5
+ Revision: 683156
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.12-2.mga4
+ Revision: 533509
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 blue_prawn <blue_prawn> 1:0.12-1.mga4
+ Revision: 473709
- updated to last version 0.12

* Sun Jan 13 2013 umeabot <umeabot> 1:0.11.1-5.mga3
+ Revision: 361786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 1:0.11.1-4.mga2
+ Revision: 150193
- tighten br

* Thu Jan 20 2011 blino <blino> 1:0.11.1-3.mga1
+ Revision: 25245
- rebuild because of rpm breakage

* Thu Jan 20 2011 blino <blino> 1:0.11.1-2.mga1
+ Revision: 25055
- remove old ldconfig scriptlets
- imported package ode


* Sun Jul 26 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.11.1-1mdv2010.0
+ Revision: 400426
- New version 0.11.1

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.11-1mdv2009.1
+ Revision: 339595
- New version 0.11

* Thu Nov 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.10.1-1mdv2009.1
+ Revision: 302893
- new license policy
- obsolete old libraries
- fix file list
- new version 0.10.1
- drop patch 0, fixed by upstream
- adjust configure options
- fix file list

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.9-3mdv2009.0
+ Revision: 254390
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.9-1mdv2008.1
+ Revision: 101396
- new version
- do not change compression format of source file
- fix url

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:0.8-2mdv2008.0
+ Revision: 70686
- New devel policy
- fix so link

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8-1mdv2008.0
+ Revision: 30222
- new version
- rediff P0
- spec file clean


* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7-1mdv2007.0
+ Revision: 111579
- new release: 0.7 (closes #28339)
  fix passing of compile flags, lib64 fixes, -fPIC (P0)
- Import ode

* Sun Jul 30 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-4mdv2007.0
- rebuilt without double-precision (maniadrive needs single)

* Wed Jul 19 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-3mdv2007.0
- fix soname (wrongly dropped patch)

* Fri Jul 14 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-2mdv2007.0
- fix symbolic links
- multiarch

* Thu Jul 13 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-1mdv2007.0
- 0.6
- dropped patch
- install changes

* Sun Nov 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-7mdk
- added P0 from debain to disable OPCODE (and make the shared lib)
- added a lib64 fix

* Fri May 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-6mdk
- compile with -fPIC

* Fri May 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-5mdk
- from Jan Ciger: <jan.ciger@gmail.com> :
	o turn off the -whole-archive flag for the linker

* Fri Apr 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-4mdk
- arg, forgot to add epoch to requires

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-3mdk
- fix devel links
- fix devel requires
- do ldconfig

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- %%mkrel
- from Jan Ciger <jan.ciger@gmail.com> :
	o 0.5 changed to build a dynamic lib a split the package

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-1mdk
- 0.5 (add epoch as rpm takes 0.5 for less than 0.039)

